package com.hzya.frame.grpU8.nxproof.glkmxx.dao.impl;



import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.grpU8.nxproof.glkmxx.dao.ISenderGlKmxxDao;
import com.hzya.frame.grpU8.nxproof.glkmxx.entity.SenderGlKmxxEntity;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * (GlKmxx)表数据库访问层
 *
 * @author makejava
 * @since 2024-06-20 10:01:13
 */
@Repository(value = "SenderGlKmxxDaoImpl")
public class SenderGlKmxxDaoImpl extends MybatisGenericDao<SenderGlKmxxEntity, String> implements ISenderGlKmxxDao {


    @Override
    @DS("#senderGlKmxxEntity.dataSourceCode")
    public List<SenderGlKmxxEntity> querySenderGlKmxxEntity(SenderGlKmxxEntity senderGlKmxxEntity) {
        return super.queryByLike(senderGlKmxxEntity);
    }

    @Override
    @DS("#senderGlKmxxEntity.dataSourceCode")
    public SenderGlKmxxEntity saveSenderGlKmxxEntity(SenderGlKmxxEntity senderGlKmxxEntity) {
        return super.save(senderGlKmxxEntity);
    }

    @Override
    @DS("#senderGlKmxxEntity.dataSourceCode")
    public SenderGlKmxxEntity updateSenderGlKmxxEntity(SenderGlKmxxEntity senderGlKmxxEntity) {
        return super.update(senderGlKmxxEntity);
    }

    @Override
    @DS("#senderGlKmxxEntity.dataSourceCode")
    public List<SenderGlKmxxEntity> queryGlKmxxHealthBureau(SenderGlKmxxEntity senderGlKmxxEntity) {
        return super.query(senderGlKmxxEntity);
    }

    @Override
    @DS("#senderGlKmxxEntity.dataSourceCode")
    public SenderGlKmxxEntity saveGlKmxxHealthBureau(SenderGlKmxxEntity senderGlKmxxEntity) {
        return super.save(senderGlKmxxEntity);
    }

    @Override
    @DS("#senderGlKmxxEntity.dataSourceCode")
    public SenderGlKmxxEntity updateGlKmxxHealthBureau(SenderGlKmxxEntity senderGlKmxxEntity) {
        return super.update(senderGlKmxxEntity);
    }

    @Override
    @DS("#senderGlKmxxEntity.dataSourceCode")
    public Integer deleteGlKmxxHealthBureau(SenderGlKmxxEntity senderGlKmxxEntity) {
        return super.delete("SenderGlKmxxEntity_delete_kmxx",senderGlKmxxEntity);
    }
}

